--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...

function NS:LoadSettingsPrat()
	local FauxMazzle = {
		["namespaces"] = {
			["Prat_ChatTabs"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["displaymode"] = {
							["ChatFrame6"] = false,
							["ChatFrame4"] = false,
							["ChatFrame1"] = false,
							["ChatFrame3"] = false,
							["ChatFrame8"] = false,
							["ChatFrame2"] = false,
							["ChatFrame5"] = false,
							["ChatFrame7"] = false,
						},
						["on"] = true,
					},
				},
			},
			["Prat_AltNames"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["pncol"] = false,
					},
				},
			},
			["Prat_PlayerNames"] = {
			},
			["Prat_Frames"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["initialized"] = true,
						["minchatwidth"] = 25,
						["maxchatheightdefault"] = 399.9999694824219,
						["maxchatwidthdefault"] = 608.0000610351563,
						["minchatheight"] = 25,
						["minchatwidthdefault"] = 296,
					},
				},
			},
			["Prat_Achievements"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["showGratsLink"] = false,
						["showCompletedDate"] = false,
					},
				},
			},
			["Prat_ChannelColorMemory"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["colors"] = {
							["Trade - City"] = {
								["b"] = 0.7490196521393955,
								["g"] = 0.7490196521393955,
								["r"] = 1.000000059138984,
							},
							["trade - city"] = {
								["b"] = 0.7490196521393955,
								["g"] = 0.7490196521393955,
								["r"] = 1.000000059138984,
							},
							["general - ironforge"] = {
								["b"] = 1.000000059138984,
								["g"] = 1.000000059138984,
								["r"] = 1.000000059138984,
							},
							["General - Shattrath City"] = {
								["r"] = 1.000000059138984,
								["g"] = 0.752941220998764,
								["b"] = 0.752941220998764,
							},
							["saddiv"] = {
								["r"] = 1.000000059138984,
								["g"] = 1.000000059138984,
								["b"] = 1.000000059138984,
							},
							["localdefense - shattrath city"] = {
								["r"] = 1.000000059138984,
								["g"] = 0.752941220998764,
								["b"] = 0.752941220998764,
							},
							["Trade"] = {
								["r"] = 1,
								["g"] = 0.7490196228027344,
								["b"] = 0.7490196228027344,
							},
							["general - shattrath city"] = {
								["r"] = 1.000000059138984,
								["g"] = 0.752941220998764,
								["b"] = 0.752941220998764,
							},
							["trade"] = {
								["r"] = 1,
								["g"] = 0.7490196228027344,
								["b"] = 0.7490196228027344,
							},
							["LocalDefense - Shattrath City"] = {
								["r"] = 1.000000059138984,
								["g"] = 0.752941220998764,
								["b"] = 0.752941220998764,
							},
							["localdefense - ironforge"] = {
								["b"] = 1.000000059138984,
								["g"] = 1.000000059138984,
								["r"] = 1.000000059138984,
							},
							["LocalDefense - Ironforge"] = {
								["b"] = 1.000000059138984,
								["g"] = 1.000000059138984,
								["r"] = 1.000000059138984,
							},
							["General - Ironforge"] = {
								["b"] = 1.000000059138984,
								["g"] = 1.000000059138984,
								["r"] = 1.000000059138984,
							},
						},
					},
				},
			},
			["Prat_Editbox"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["edgeSize"] = 1,
						["editW"] = 395.5881340503693,
						["attach"] = "LOCK",
						["editX"] = 2.812134504318237,
						["tileSize"] = 1,
						["borderColor"] = {
							["b"] = 0.05098039215686274,
							["g"] = 0.05098039215686274,
							["r"] = 0.05098039215686274,
						},
						["editY"] = 232.8387451171875,
						["background"] = "None",
						["border"] = "None",
						["inset"] = 1,
					},
				},
			},
			["Prat_History"] = {
				["profiles"] = {
					["Default"] = {
						["scrollbacklen"] = 500,
					},
					["FauxMazzle"] = {
						["chatlinesframes"] = {
							["ChatFrame2"] = true,
							["ChatFrame3"] = true,
							["ChatFrame1"] = true,
						},
						["chatlines"] = 1000,
					},
				},
			},
			["Prat_Font"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["fontface"] = "Arial Narrow",
						["rememberfont"] = true,
						["size"] = {
							["ChatFrame2"] = 10,
							["ChatFrame7"] = 10,
							["ChatFrame8"] = 10,
						},
					},
				},
			},
			["Prat_KeyBindings"] = {
			},
			["Prat_Bubbles"] = {
			},
			["Prat_Sounds"] = {
			},
			["Prat_ChannelNames"] = {
			},
			["Prat_Paragraph"] = {
			},
			["Prat_ChannelSticky"] = {
			},
			["Prat_Alias"] = {
			},
			["Prat_OriginalButtons"] = {
			},
			["Prat_Fading"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["textfade"] = {
							["ChatFrame1"] = false,
							["ChatFrame2"] = false,
							["ChatFrame3"] = false,
							["ChatFrame4"] = false,
							["ChatFrame5"] = false,
							["ChatFrame6"] = false,
							["ChatFrame7"] = false,
							["ChatFrame8"] = false,
							["ChatFrame9"] = false,
							["ChatFrame10"] = false,
						},
					},
				},
			},
			["Prat_Timestamps"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["show"] = {
							["ChatFrame1"] = false,
							["ChatFrame2"] = false,
							["ChatFrame3"] = false,
							["ChatFrame4"] = false,
							["ChatFrame5"] = false,
							["ChatFrame6"] = false,
							["ChatFrame7"] = false,
							["ChatFrame8"] = false,
							["ChatFrame9"] = false,
							["ChatFrame10"] = false,
						},
					},
				},
			},
			["Prat_TellTarget"] = {
			},
			["Prat_UrlCopy"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["popup"] = false,
						["colorurl"] = false,
						["bracket"] = false,
					},
				},
			},
			["Prat_ChatLog"] = {
			},
			["Prat_CopyChat"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["buttonpos"] = "TOPRIGHT",
						["showbutton"] = {
							["ChatFrame1"] = nil,
							["ChatFrame2"] = false,
							["ChatFrame3"] = nil,
							["ChatFrame4"] = nil,
							["ChatFrame5"] = nil,
							["ChatFrame6"] = nil,
							["ChatFrame7"] = nil,
							["ChatFrame8"] = nil,
							["ChatFrame9"] = nil,
							["ChatFrame10"] = nil,
						},
					},
				},
			},
			["Prat_PopupMessage"] = {
			},
			["Prat_Search"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["on"] = false,
					},
				},
			},
			["Prat_Buttons"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["showButtons"] = false,
						["showMenu"] = false,
						["showminimize"] = false,
					},
				},
			},
			["Prat_ServerNames"] = {
			},
			["Prat_Scroll"] = {
			},
		},
		["profiles"] = {
			["FauxMazzle"] = {
				["modules"] = {
					["ChatLog"] = 2,
					["ChatTabs"] = 3,
					["PopupMessage"] = 2,
					["AltNames"] = 2,
					["Sounds"] = 2,
					["Paragraph"] = 2,
					["KeyBindings"] = 2,
					["SMFHax"] = 2,
					["OriginalButtons"] = 2,
					["Alias"] = 2,
				},
			},
		},
	}
	return FauxMazzle
end
